<template>

  <van-nav-bar
      title="系统帮助"
      left-arrow
      @click-left="$router.go(-1)"
  >
  </van-nav-bar>
  <div class="Upgrading">
    <img src="/public/assets/logo10.png"/>
    <p>PDA</p>
    <span></span>
  </div>
  <div class="box">
    <!-- v-if="SystemType == 'dlr'" -->

    <van-cell-group>
      <van-cell is-link title="注册" @click="RegisterSpecification"/>
      <van-cell is-link title="盒条关联" @click="htrelevancy"/>
      <van-cell is-link title="条件关联" @click="tjrelevancy"/>
      <van-cell is-link title="查询" @click="htjinquire"/>
      <van-cell is-link title="校验" @click="htjverify"/>
      <van-cell is-link title="条替换" @click="barReplace"/>
      <van-cell is-link title="件替换" @click="pieceReplace"/>
      <van-cell is-link title="解绑" @click="htjunbind"/>
      <van-cell is-link title="全解绑" @click="htjAllUnbind"/>
      <van-cell is-link title="获取一维码" @click="getOneCode"/>
<!--      <van-cell is-link title="件码激活" @click="activationExplain"/>-->
      <van-cell is-link title="重码查询" @click="multipleCode"/>
      <van-cell is-link title="条烟换货" @click="barUpBarter"/>
      <van-cell is-link title="无码烟换货" @click="upBarter"/>
      <van-cell is-link title="流向查询" @click="queryFlowData"/>
      <van-cell is-link title="换货申请" @click="barterInd"/>
      <van-cell is-link title="申请确认" @click="replaceQuery"/>
    </van-cell-group>
  </div>

</template>
<script>
import { Button, NavBar, Cell, CellGroup } from "vant";
export default{
  name: 'DlrHelp',
  components: {
    [Button.name]: Button,
    [NavBar.name]: NavBar,
    [Cell.name]: Cell,
    [CellGroup.name]: CellGroup,
  },
  data() {
    return {
      SystemType: import.meta.env.VITE_APP_TYPE
    }

  },
  created() {
  },
  methods: {
    // 系统帮助
    RegisterSpecification() {
      this.$router.push({name: "tlregister"});
    },
    // 盒条关联
    htrelevancy() {
      this.$router.push({name: "htrelevancy"});
    },
    // 条件关联
    tjrelevancy() {
      this.$router.push({name: "tjrelevancy"});
    },
    // 校验
    htjverify() {
      this.$router.push({name: "htjverify"});
    },
    // 查询
    htjinquire() {
      this.$router.push({name: "htjinquire"});
    },
    // 条替换
    barReplace() {
      this.$router.push({name: "barReplace"});
    },
    // 件替换
    pieceReplace() {
      this.$router.push({name: "pieceReplace"});
    },
    // 解绑
    htjunbind() {
      this.$router.push({name: "htjunbind"});
    },
    // 全解绑
    htjAllUnbind() {
      this.$router.push({name: "htjAllUnbind"});
    },
    // 报废
    htjscrap() {
      this.$router.push({name: "htjscrap"});
    },
    // 件码激活
    activationExplain() {
      this.$router.push({name: "htjactivationExplain"});
    },
    // 获取一维码
    getOneCode() {
      this.$router.push({name: "htjgetOneCode"});
    },
    // 重码查询
    multipleCode() {
      this.$router.push({name: "htjmultipleCode"});
    },
    // 条烟换货
    barUpBarter() {
      this.$router.push({name: "htjbarUpBarter"});
    },
    // 无码烟换货
    upBarter() {
      this.$router.push({name: "htjupBarter"});
    },
    // 流向查询
    queryFlowData() {
      this.$router.push({name: "htjqueryFlowData"});
    },
    // 换货申请
    barterInd() {
      this.$router.push({name: "htjbarterInd"});
    },
    // 申请确认
    replaceQuery() {
      this.$router.push({name: "htjreplaceQuery"});
    }

  },
}
</script>
<style scoped lang='scss'>
*{
    margin: 0;
    padding: 0;
}
.box{
  height: 800px; /* 根据需要调整高度 */
  overflow-y: auto; /* 添加垂直滚动条 */
  position: relative; /* 使进度条相对定位 */
  border-radius: 15px;
  width: 660px;
  margin: 20px auto;
}
.van-cell {
  height: 100px;
  line-height: 100px;
  padding-left: 15px;
  padding-right: 15px;
  font-size: 26px;
  font-weight: 500;
}
:deep(.van-cell__right-icon) {
  line-height: 100px;
}
.van-cell:after {
  border-bottom: 4px solid #e7e7e7;
}
.van-button {
  width: 660px;
  height: 100px;
  margin: 20px auto 0 !important;
  border-radius: 15px;
  margin-top: 20px;
}
:deep(.van-button__content) {
  display: block;
  text-align: left;
  line-height: 100px;
  padding-left: 15px;
  font-size: 26px;
  font-weight: 500;
  color: #000000FF;
}
.Upgrading{
    display: flex;
    flex-wrap: wrap;
    text-align: center;
}
.Upgrading img{
  margin: 50px auto 30px auto;
}
.Upgrading p{
  width: 100%;
  font-weight: 600;
}
.Upgrading span{
    display: block;
    margin-top: 30px;
    width: 100%;
    font-size: 30px;
    font-weight: 500;
}
</style>